<?php

/**
 * HappyFenceNG Total Enterprise Security Plugin
 * HAPPYWPRESS is a RazorVue Trademark.
 *
 * @package     HappyFenceNG
 * @developer   Simonluca Scillitani
 * @copyright   2025 RazorVue di Scillitani Simonluca
 * @link        https://razorvue.it
 * @author      RazorVue di Scillitani Simonluca
 * @brand       HappyWPress
 * @uri         https://happywpress.com
 * @set all
 */
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
/**PHPCS -> code compliance: we put useful comments where needed.. */
class HappyFenceNGMetaProps extends HappyFenceNGAProps {
    /**PHPCS -> code compliance: we put useful comments where needed.. */
    protected function __construct() {
        $this->jz( 'remove_meta_generator', HappyFenceNGPlaceholder::BOOL_PROP_DEFAULT );
        $this->_do();
    }

    /**PHPCS -> code compliance: we put useful comments where needed.. */
    //phpcs:ignore
    protected function _do() {
    }

}
